Download it now!
Bug 60724 - spelling errors and typos in binaries found by lintian
Summary: spelling errors and typos in binaries found by lintian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.2.0
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2013-02-12 12:35 UTC by Björn Michaelsen
Modified: 2015-12-15 23:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
recent grep word list (130.41 KB, text/plain)
2013-03-03 16:59 UTC, Thomas Arnhold
Details
recent grep of common mistakes (124.95 KB, text/plain)
2013-03-04 16:33 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2013-02-12 12:35:17 UTC
Lintian finds the following possible spelling errors in LibreOffice 4.0:
I: libreoffice-calc: spelling-error-in-binary usr/lib/libreoffice/program/vbaobj.uno.so paramater parameter
I: libreoffice-common: spelling-error-in-manpage usr/share/man/man1/unopkg.1.gz allows to allows one to
I: python3-uno: spelling-error-in-binary usr/lib/libreoffice/program/libpyuno.so unkown unknown
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/expwrap.uno.so charcter character
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libcomphelpgcc3.so usefull useful
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libcomphelpgcc3.so informations information
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libdict_zh.so NAm Name
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libembobj.so persistant persistent
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libfrmlo.so teH the
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so tEH the
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so usefull useful
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so Paramater Parameter
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so accessable accessible
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so Resizeable Resizable
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libooxlo.so teH the
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libooxlo.so userA users
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libucbhelper4gcc3.so retreive retrieve
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libvclplug_genlo.so teH the
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/oosplash tEH the
I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/oosplash fuction function
I: libreoffice-sdbc-postgresql: spelling-error-in-binary usr/lib/libreoffice/program/postgresql-sdbc-impl.uno.so sucessfully successfully
I: libreoffice-sdbc-postgresql: spelling-error-in-binary usr/lib/libreoffice/program/postgresql-sdbc-impl.uno.so Unkown Unknown
I: python-uno: spelling-error-in-binary usr/lib/libreoffice/program/libpy2uno.so unkown unknown
I: ure: spelling-error-in-binary usr/lib/ure/bin/regcomp.bin seperated separated
I: ure: spelling-error-in-binary usr/lib/ure/lib/bootstrap.uno.so REMOVEABLE REMOVABLE
I: ure: spelling-error-in-binary usr/lib/ure/lib/invocation.uno.so accessable accessible
I: ure: spelling-error-in-binary usr/lib/ure/lib/libreg.so.3 removeable removable
I: libreoffice-dev: spelling-error-in-binary usr/lib/libreoffice/sdk/bin/idlc.bin unkown unknown
I: libreoffice-dev: spelling-error-in-binary usr/lib/libreoffice/sdk/bin/idlc.bin REMOVEABLE REMOVABLE
I: libreoffice-writer: spelling-error-in-binary usr/lib/libreoffice/program/libswlo.so teH the
I: libreoffice-writer: spelling-error-in-binary usr/lib/libreoffice/program/libwriterfilterlo.so userA users


This EasyHack is to use for example "git grep" to search for the wrong spelling and fix them. Note some of these can be false positives.
Comment 1 Gregg King 2013-02-25 04:48:20 UTC
Submitted a patch with corrections for the "charcter" spelling errors.
Comment 2 Björn Michaelsen 2013-02-25 13:24:15 UTC
@Gregg: Could you send a license statement like: http://lists.freedesktop.org/archives/libreoffice/2012-September/039091.html to libreoffice@lists.freedesktop.org ?
Comment 3 Not Assigned 2013-02-25 13:24:32 UTC
sadam36 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93a974421208babdb4b2090f92acf4f0c14cc37d

fdo#60724 - change 'charcter' to 'character'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Gregg King 2013-02-25 15:39:03 UTC
@Björn: Oops, sent an email with the licence text - thanks!
Comment 5 Adam Mróz 2013-02-25 21:14:41 UTC
I sent an e-mail with licence text also. 

It looks like me and Gregg King unfortunately did the same job... Maybe to avoid next repetition I will continue from last error ('usr/lib/libreoffice/program/libwriterfilterlo.so userA users') and will continue to top?
Comment 6 Gregg King 2013-02-25 22:38:02 UTC
Adam, that sounds good, I'll start at the top and go down.
Comment 7 Gregg King 2013-02-26 02:59:05 UTC
Submitted patch to the mailing list with fixes for "usefull" to "useful".
Comment 8 Not Assigned 2013-02-26 10:03:19 UTC
Gregg King committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e1323a876f2b77901e1beb1737e4def3a6abf04

fdo#60724: lintian typo fix: useful -> useful



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Adam Mróz 2013-02-26 17:50:26 UTC
I found 'userA' only (except 'userArg', 'userAgent', 'userAction')  in file oox/source/token/tokens.txt. Next to it there are strings 'userB'
, 'userC' etc. So I assume that this one is false positive.
Comment 10 Vojta Koukal 2013-02-28 08:39:51 UTC
@Adam, @Gregg: Would you mind if I contribute to this bug by taking some errors from the middle of the list (so we can avoid collisions with each other)?

I was thinking about these for example:

(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so usefull useful)
(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so Paramater Parameter)
(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so accessable accessible)
(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libmergedlo.so Resizeable Resizable)
(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libooxlo.so teH the)
(I: libreoffice-core: spelling-error-in-binary usr/lib/libreoffice/program/libooxlo.so userA users)
Comment 11 Adam Mróz 2013-02-28 13:48:10 UTC
git grep -w 'teH' gives me nothing. False positive ? 

@Vojta
I don't mind of course :) But notice that some errors repeats - for example userA, teH (I think that those two are false positives, but you may check that). 

Today (if i will have enough time) I will try to correct 'I: libreoffice-dev: spelling-error-in-binary usr/lib/libreoffice/sdk/bin/idlc.bin REMOVEABLE REMOVABLE'
Comment 12 Vojta Koukal 2013-02-28 20:36:26 UTC
Just submitted patch fixing the misspelled word "Resizeable".
Comment 13 Gregg King 2013-03-02 05:58:52 UTC
I fixed "informations" and patch is submitted.

@Vojta: Welcome to the party!
Comment 14 Vojta Koukal 2013-03-03 00:47:20 UTC
Fixed the word "paramater" and submitted the patch.

I found "accessable" as false positive.
Comment 15 Not Assigned 2013-03-03 11:48:33 UTC
Vojta Koukal committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a6ab1568d2c5bad7d546433d1bc62829050aa37

fdo#60724: fix paramater -> parameter misspelling found by lintian



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Not Assigned 2013-03-03 11:48:55 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa878018dec1ce9fd3589066128d0647d3664465

fdo#60724: fix resizeable -> resizable misspelling found by lintian



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Not Assigned 2013-03-03 16:20:05 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5ca04caca1b6888cdc6b00b8465a53e6d5cf38d

Related to fdo#60724: correct spelling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Thomas Arnhold 2013-03-03 16:59:47 UTC
Created attachment 75851 [details]
recent grep word list

Here's a recent grep created with the en-US autocorrect word list. There are many spelling mistakes in the source.
Comment 19 Thomas Arnhold 2013-03-03 17:04:10 UTC
Note: Not all are mistakes, for example "fwe" is correct as it is.
Comment 20 Thomas Arnhold 2013-03-04 16:33:52 UTC
Created attachment 75902 [details]
recent grep of common mistakes
Comment 21 Commit Notification 2013-03-06 09:42:30 UTC
Kenneth Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21e1e859a7dc883a0347b6537e2518f4b2e9d0ff

fdo#60724 change spelling error REMOVEABLE -> REMOVABLE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2013-03-09 09:35:48 UTC
Benjamin Drung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57037ea47fc203db08b2cf4a57c305df0a156307

Related to fdo#60724: Fix grammar.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2013-03-13 08:01:35 UTC
Steven Meyer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07c6e76749559614743ca11efc9dec265f7cfacc

fdo#60724: Fix spelling avaliable -> available.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2013-04-15 03:44:21 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60fbefc615f8931bf8b952293fc4eb4ac35dafd8

fdo#60724 informations -> information



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2013-04-15 03:44:39 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=435f5e30c968ffd5761873f8b3f756949545ce72

fdo#60724 correct spelling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2013-04-15 03:44:58 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c32b6be06bf5453d82d9aad64aed5f384c9d1d1f

fdo#60724 correct spelling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2013-04-15 03:45:17 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70e4329d0479305f16158a63878f335ee9232a5e

fdo#60724 successfull -> successful



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2013-04-15 03:45:36 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1264480bc32e8dbadd654a0a014e8045c57d1ae4

fdo#60724 correct spelling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2013-04-15 03:45:56 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06f53420f640d1c22b66aa842321a0cf1bc59a05

fdo#60724 convertable -> convertible



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 30 Thomas Arnhold 2013-04-15 03:47:08 UTC
lintian should be happy now.
Comment 31 Commit Notification 2013-05-29 08:46:32 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b373ef7f5fecc9a90e0e3cb90f297bc1101afef

fdo#60724 change spelling error REMOVEABLE -> REMOVABLE II



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 32 Robinson Tryon (qubit) 2015-12-15 23:20:10 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript )
[NinjaEdit]